#!/bin/bash

IP="$1"
EFFECTS=`egrep "case" ../effects.cpp | tr -s "\t" " " | cut -d" " -f 7 | sort`

mkdir effects

for effect in $EFFECTS; do
	[ "$effect" = "cycle" ] && continue
	[ "$effect" = "off" ] && continue
	[ "$effect" = "koopa" ] && continue
	[ "$effect" = "couple_rain" ] && continue
	[ "$effect" = "cake" ] && continue
	
	echo " + ./recorder.rb $IP /tmp/effect.gif $effect"
	./recorder.rb $IP /tmp/effect.gif $effect
	echo
	#echo " + gifsicle /tmp/effect.gif -o ../../docs/effects/$effect.gif"
	#gifsicle /tmp/effect.gif -o ../../docs/effects/$effect.gif
	mv /tmp/effect.gif ../../docs/effects/$effect.gif
done
